<?php
include_once('./_common.php');

include_once(AMINA_PATH.'/lib/head.lib.php');

$move_href = false;
if($_POST['js'] != "on") $move_href = true;

function amina_return($error, $wr_id, $frame='') {
	global $g5, $bo_table, $page, $qstr;

	if($move_href || $frame) {
		$move_href = G5_BBS_URL.'/board.php?bo_table='.$bo_table.'&wr_id='.$wr_id.'&page='.$page.$qstr;
		if($error) {
			alert($error, $move_href);
		} else {
		    echo "<script type='text/javascript'> location.replace('$move_href'); </script>";
		    exit;
		}
	} else {
		echo 'error'.$error;
		exit;
	}
}

$ment = $amina['cmt_choice_txt'];
if(!$ment) $ment = '채택';

//원글
$wr = get_write($write_table, $write['wr_parent']);
if(!$wr['wr_id']) {
	$error = '원글이 존재하지 않습니다.';
	amina_return($error, $wr['wr_id']);
}

if(!$amina['cmt_choice']) {
	$error = '이 게시판은 댓글 '.$ment.' 기능을 사용하지 않습니다.';
	amina_return($error, $wr['wr_id']);
}

if (!$is_member) {
	$error = '회원만 가능합니다.';
	amina_return($error, $wr['wr_id']);
}

if (!($bo_table && $wr_id)) {
	$error = '값이 제대로 넘어오지 않았습니다.';
	amina_return($error, $wr['wr_id']);
}

$row = sql_fetch(" select count(*) as cnt from {$g5['board_table']} where bo_table = '$bo_table' ", FALSE);
if (!$row['cnt']) {
	$error = '존재하는 게시판이 아닙니다.';
	amina_return($error, $wr['wr_id']);
}

if($write['wr_is_comment'] != "1") {
	$error = '댓글만 '.$ment.' 가능합니다.';
	amina_return($error, $wr['wr_id']);
}

if($write['wr_9'] == "lock" || $write['wr_9'] == "shingo") {
	$error = '블라인드 처리된 글은 '.$ment.'할 수 없습니다.';
	amina_return($error, $wr['wr_id']);
}

if($member['mb_id'] != $wr['mb_id']) {
	$error = '글쓴이만 가능합니다.';
	amina_return($error, $wr['wr_id']);
}

if($write['mb_id'] == $wr['mb_id'] || $write['mb_id'] == $member['mb_id']) {
	$error = '자신의 댓글은 '.$ment.'할 수 없습니다.';
	amina_return($error, $wr['wr_id']);
}

//아이및 및 댓글채택 정보
$wr_icon = amina_array_icon($wr['wr_5']);

if($wr_icon['choice'] == "<choice>") {
	$error = '이미 댓글을 '.$ment.' 하셨습니다.';
	amina_return($error, $wr['wr_id']);
}

//아이템 및 댓글채택
$cmt_icon = amina_array_icon($write['wr_5']);

if($cmt_icon['choice'] == "<choice>") {
	$error = '이미 '.$ment.'된 댓글입니다.';
	amina_return($error, $wr['wr_id']);
}

// 포인트 계산
$choice_point = (int)$wr_icon['choice_point'];
$return_point = $choice_point * ($amina['cmt_choice_return'] / 100);
$return_point = (int)$return_point;

// 포인트 적립
if($write['mb_id'] && $choice_point > 0) {
	insert_point($write['mb_id'], $choice_point, "{$board['bo_subject']} {$wr_id} {$ment} MP 적립", $bo_table, $wr_id, '@choice');

	if($xp['exp']['choice']) check_xp($write['mb_id']);
}

// 포인트 환수
if($wr['mb_id'] && $return_point > 0) {
	insert_point($wr['mb_id'], $return_point, "{$board['bo_subject']} {$wr_id} {$ment} 지급 MP 환수", $bo_table, $wr_id, '@choice_re');
}

// 댓글 업데이트
$cmt_up = $cmt_icon['level'].'|'.$cmt_icon['mobile'].'|'.$cmt_icon['post_icon'].'|<choice>|'.$wr_icon['choice_point'].'|'.$wr['mb_id'].'|'.$cmt_icon['post_cool'].'|'.$cmt_icon['post_mb_icon'];
sql_query(" update $write_table set wr_5 = '$cmt_up' where wr_id = '{$write['wr_id']}' ");

// 원글 업데이트
$org_up = $wr_icon['level'].'|'.$wr_icon['mobile'].'|'.$wr_icon['post_icon'].'|<choice>|'.$wr_icon['choice_point'].'|'.$write['mb_id'].'|'.$wr_icon['post_cool'].'|'.$cmt_icon['post_mb_icon'].'|'.$wr_icon['po_view_point'].'|'.$wr_icon['po_down_point'].'|'.$wr_icon['po_img_cnt'].'|'.$wr_icon['po_wr_type'].'|'.$wr_icon['po_wr_table'].'|'.$wr_icon['po_wr_id'].'|'.$wr_icon['wr_copy'];
sql_query(" update $write_table set wr_5 = '$org_up' where wr_id = '{$wr['wr_id']}' ");

// 회원 아이디와 메세지가 있으면 쪽지 보내기
if($write['mb_id']) {
	$recv_id = $write['mb_id']; // 받는 사람 아이디
    $send_id = $member['mb_id']; // 보내는 사람
	$send_msg = "[".$board['bo_subject']."] 게시판에 있는 [".$wr['wr_subject']."] 제목의 글에 달린 회원님의 댓글이 {$ment}되었습니다. ";

	//쪽지 번호 뽑기
    $tmp_row = sql_fetch(" select max(me_id) as max_me_id from {$g5['memo_table']} ");
    $me_id = $tmp_row['max_me_id'] + 1;
        
	// 쪽지 INSERT
    $sql = " insert into {$g5['memo_table']} ( me_id, me_recv_mb_id, me_send_mb_id, me_send_datetime, me_memo ) values ( '$me_id', '$recv_id', '$send_id', '".G5_TIME_YMDHIS."', '$send_msg' ) ";
    sql_query($sql);

	//글반응에 추가
	if($aminaRe['cmt_choice']) amina_response($bo_table, $wr_id, $write['wr_subject'], $write['mb_id'], $member['mb_id'], $member['mb_nick'], 'cmt_choice', 1);
}

//js 미사용시 이동
if($move_href || $frame) amina_return('', $wr['wr_id'], $frame);

//원글의 변동사항 반영하기
$wr_id = $wr['wr_id'];
$view = $wr;
$view['wr_5'] = $org_up;

$g5['amina_ajax'] = true;

include_once(AMINA_PATH.'/comment.load.php');

?>